%define anolis_release 1
%global pypi_name plotly
%global pypi_version 5.18.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        an interactive, open-source, and browser-based graphing library for Python

License:        MIT
URL:            https://plotly.com/python/
Source0:        https://files.pythonhosted.org/packages/0d/17/ba496e60f95020227a15f73965a64ea3f176cae7faed2d9302a14524b681/plotly-5.18.0.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
plotly.py is a high-level, declarative charting library. plotly.js ships 
with over 30 chart types, including scientific charts, 3D graphs, statistical 
charts, SVG maps, financial charts, and more.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(packaging)
Requires:       python3dist(tenacity) >= 6.2
%description -n python3-%{pypi_name}
plotly.py is a high-level, declarative charting library. plotly.js ships 
with over 30 chart types, including scientific charts, 3D graphs, statistical 
charts, SVG maps, financial charts, and more.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt jupyterlab_plotly/labextension/static/478.b48f45da3d88616ad3f9.js.LICENSE.txt jupyterlab_plotly/labextension/static/486.6450efe6168c2f8caddb.js.LICENSE.txt jupyterlab_plotly/labextension/static/third-party-licenses.json jupyterlab_plotly/nbextension/index.js.LICENSE.txt
%doc README.md
%{python3_sitelib}/_plotly_future_
%{python3_sitelib}/_plotly_utils
%{python3_sitelib}/jupyterlab_plotly
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info
%{_prefix}/etc/jupyter/nbconfig/notebook.d/jupyterlab-plotly.json

%changelog
* Wed Jan 10 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 5.18.0-1
- Initial package.